<?php

session_start();
include("DMMYSQLG.php");
//include("DSA1000.php");
include("DMMYSQLG.php");
//include("DF30000.inc");
//include("DF80000.php"); 

function CAJselectOptions(&$arrJSON,$valor,$etiqueta){
	$arrJSON[]="{valueOption:'$valor',labelOption:'$etiqueta'}";
}

function CSJselectOptions(&$strJSON,$arrJSON,$separador=","){
		 $strJSON="[".implode($separador,$arrJSON)."]";
}

//->Regresa sesion
if(isset($_POST['getSession'])){
	echo $_SESSION['base'];
}
elseif(isset($_POST['getEmpresa'])){
	@$dt_empres = mysqli_fetch_array( mysqli_query($con ,"SELECT * FROM geoyos_jc.dxempres where cla_emp = '".$_SESSION['empresa']."'"));
	echo $dt_empres['siglas'];
}
elseif(isset($_POST['getTipVen'])){
	@$dt_tipven = mysqli_fetch_array( mysqli_query($con ,"SELECT * FROM dgtipven where tip_ven = '".$_SESSION['tipven']."'"));
	echo $dt_tipven['des_tipven'];
}
elseif(isset($_POST['getVendedor'])){
	@$dt_catven=mysqli_fetch_array(mysqli_query($con ,"select * from dgcatven where cod_ven = '".$_POST['getVendedor']."'"));
	echo $dt_catven['nom_ven'].' '.$dt_catven['ap_pat_ven'].' '.$dt_catven['ap_mat_ven'].' '.'&nbsp;';
}
elseif(isset($_POST['getCliente'])){
	@$dtparame=mysqli_fetch_array(mysqli_query($con ,"select * from dgparame"));
	@$reg=mysqli_fetch_array(mysqli_query($con ,"select * from dgcatcli where cod_cli = '".$dtparame['cod_pubgral']."'"));
	echo $reg['nom_cli'].' ' .$registro['ap_pat_cli'].' ' .$registro['ap_mat_cli'].' ' . '&nbsp;';
}
elseif($_POST['getTotal']){
	$dt_pememd=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(total_cd) as total FROM dgpememd WHERE cons_ven='".$_POST['getTotal']."'"));
	$total= round($dt_pememd['total'],2);
	echo "$total";
}
elseif(isset($_POST['getTotalPagado'])){
	$dt_ger_cajerosd=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(importe) as totalPagado from dgger_cajerosd where n_rec=$_POST['getTotalPagado'] "));
	echo round($dt_ger_cajerosd['totalPagado'],2);
}
elseif(isset($_POST['agregaPedido'])){
	$vendedor=$_POST['agregaPedido'];
	//buscar el publico en general
	@$dttipven=mysqli_fetch_array(mysqli_query($con ,"select * from dgtipven where tip_ven = '".$_SESSION['tipven']."'"));
	$_SESSION['al']=$dttipven['almacen'];
	@$dtparame=mysqli_fetch_array(mysqli_query($con ,"select * from dgparame"));
	$rs=mysqli_query($con ,"INSERT INTO dgpemema (tip_ven, fec_ven,cod_cli, alm_gen, cod_ven, con_cre, acc_fec, acc_hor, usuario) VALUES ('".$_SESSION['tipven']."','".date('Y-m-d')."', '".$dtparame['cod_pubgral']."','".$dttipven['almacen']."', '$vendedor', '1', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
	$nr = mysqli_insert_id($con);
	if($rs)
		echo $nr;
	else
		echo  0;
}
elseif(isset($_POST['buscaProducto'])){
	$producto=$_POST['idProd'];
	$almacen=$_SESSION['al'];
	$canPed=$_POST['canPed'];
	$tipVen=$_SESSION['tipven'];
	@$dttipven=mysqli_fetch_array(mysqli_query($con ,"select * from dgtipven where tip_ven = '$tipVen'"));
	$_SESSION['al']=$dttipven['almacen'];
	$almacen=$dttipven['almacen'];
	@$sq_invalm = mysqli_query($con ,"SELECT * FROM dginvalm WHERE nparte1='$producto' && almacen = '$almacen'");
	if(mysqli_num_rows($sq_invalm)==0){
		echo '-1';
	}
	else{
		@$dt_invalm=mysqli_fetch_array($sq_invalm);
		if($dt_invalm["exi_fis_alm"]<$canPed){
			echo '0';
		}
		else{
			echo '1';
		}
	}
}
elseif(isset($_POST['agregaProducto'])){
	$datos=explode('|',$_POST['agregaProducto']);
	$noPed=$datos[0];   //numero de pedido
	$producto=$datos[1];//producto solicitado
	$cantidad=$datos[2];//cantidad parcial solicitada
	$canPed=0;          //cantidad total solicitada
	$esCargado=false;   //Bandera producto de cargado anteriormente(true: si ha sido cargado, false: no)
	$exiFisGlo=0;		//Existencia Fisica Global actual(ya sin $cantidad)
	$exiDisGlo=0;		//Existencia Disponible Global actual(ya sin $cantidad)
	$exiFisAlm=0;		//Existencia Fisica Por ALmacen actual(ya sin $cantidad)
	$exiDisAlm=0;		//Existencia Disponible Por Almacen actual(ya sin $cantidad)

	$tipoComprador=0;   //para determinar precio especial
	$porDes=0;          //Porsentaje de descuento
	$IVA=0;				//IVA aplicado al precio del producto
	$DES=0;				//Descuento aplicado
	if($cantidad == "" || $cantidad ==0){
		echo "¡¡¡Es necesario una cantidad!!!";
	}else{
		//sacar producto del almacen actual
		@$sq_invalm = mysqli_query($con ,"SELECT * FROM dginvalm WHERE nparte1='$producto' && almacen = '".$_SESSION['al']."'");
		if(mysqli_num_rows($sq_invalm)==0){//si el producto no se encuentra en almacen
			echo "Ese articulo no se encuentra en este almacen".'<br>';
		}else{//Si el producto se encuentra en almacen
			$dt_invalm=mysqli_fetch_array($sq_invalm);
			if($dt_invalm["exi_fis_alm"]<$cantidad){//Si no se puede surtir la cantidad solicitada
				echo "No hay suficientes articulos";
			}else{//Si se puede surtir la cantidad solicitada
				//Recuperar Producto de inventario global
				@$dt_invent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dginvent WHERE dginvent.modulo='".$_SESSION['mod_sis']."' AND   nparte1 ='$producto'"));
					
				//Se verifica si ya ha sido cargado este producto en venta e inicializa $canPed
				$sq_pememd=mysqli_query($con ,"select * from dgpememd where nparte1 = '$producto' && cons_ven = '$noPed'");
				if(mysqli_num_rows($sq_pememd)>0){
					$dt_pememd=mysqli_fetch_array($sq_pememd);
					$canPed=$dt_pememd['can_ref']+$cantidad;
					$esCargado=true;
				}
				else{
					$canPed=$cantidad;
					$esCargado=false;
				}

				//Calcular nuevas Existencias Fisica y Disponible, Global y Por Almacen
				$exiFisGlo=$dt_invent['exi_fis'] - $cantidad;
				$exiDisGlo=$dt_invent['exi_dis'] - $cantidad;
				
				$exiFisAlm=$dt_invalm["exi_fis_alm"] - $cantidad;
				$exiDisAlm=$dt_invalm["can_dis_alm"] - $cantidad;
				
				/*Determinar el precio de venta*/
				if($tipoComprador==1){//precio por usuario especial
					$precio = $dt_invent['ven_esp1'];
				}elseif($canPed<=$dt_invent['lim_1']){//precio por cantidad
					$precio = $dt_invent['lim_vta1'];
				}elseif($canPed<=$dt_invent['lim_2']){
					$precio = $dt_invent['lim_vta2'];
				}elseif($canPed>=$dt_invent['lim_3']){
					$precio = $dt_invent['lim_vta3'];
				}

				//Sacar IVA a aplicar
				if($dt_invent['cve_iva']!=0){
					$dt_tasiva=mysqli_fetch_array(mysqli_query($con ,"Select * from dxtasiva where cve_iva='".$dt_invent['cve_iva']."'"));
					$IVA=round($dt_tasiva['porc_iva']/100,2);
				}
				else{
					$IVA=0;
				}
				$DES=round($porDes/100,2);
				$ventaTotal=round($precio * $canPed,2); //Calcula Precio de venta total por articulos  netos pedidos
				$preUniSinIva=round($precio/(1+$IVA),5);	//Precio Unitario Sin Iva
				$ivaUni=round($precio-$preUniSinIva,2);			//Iva Unitario
				$des = round(($preUniSinIva * $DES),2); //descuento aplicado al Precio Unitario Sin IVA
				$totConDes= round($preUniSinIva - $des,2); //Precio Unicario con IVA y descuento Unitario Aplicado
				$sub_t = round($totConDes * $canPed,2);	//Sub Total de Venta 
				$ivaTot=round($sub_t *$IVA,2);			//IVA total de Venta
				$preTot=round($sub_t + $ivaTot,2);		//Total de Venta con IVA y descuento Aplicado(por cantidad neta pedida de Art.)

				/*Se inserta o actualiza dgpememd*/
				if(!$esCargado){
					$sql2=mysqli_query($con ,"INSERT INTO dgpememd SET fec_ven=CURDATE(), cons_ven='$noPed', nparte1='$producto', can_ref='$canPed', pre_uni='$precio', por_des='$porDes', almacen='".$_SESSION['al']."', iva_pre='$ivatot',subtotal='$sub_t', total_cd='$preTot', des='$des', pre_bas='$totConDes', cve_iva='".$dt_invent['cve_iva']."', acc_fec=CURDATE(),acc_hor=CURTIME(),usuario=$_SESSION['num_usu']");
					//@$sql=mysqli_query($con ,"INSERT INTO dgpememd (fec_ven, cons_ven, nparte1, can_ref, pre_uni,  por_des, almacen, iva_pre, subtotal, total_cd,des,pre_bas,acc_fec,acc_hor,usuario) VALUES (CURDATE(), '$noPed', '$producto', '$canPed', '$precio', '$porDes', '".$_SESSION['al']."', '$ivaTot','$sub_t','$ventaTotal','$des','$precio',CURDATE(),CURTIME(),'".$_SESSION['num_usu']."')");
				}
				else{
					@$sql=mysqli_query($con ,"UPDATE dgpememd SET can_ref='$canPed', pre_uni='$precio', por_des='$porDes', iva_pre='$ivatot',subtotal='$sub_t', total_cd='$preTot', des='$des', pre_bas='$totConDes', acc_fec=CURDATE(),acc_hor=CURTIME(),usuario=$_SESSION['num_usu'] WHERE nparte1 = '$producto' && cons_ven = '$noPed'");
				}
				/*Se actualiza dgpemema*/
				$dt_pememdG=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(iva_pre) as iva, SUM(subtotal) as subtotal, SUM(total_cd) as total from dgpememd where cons_ven='$noPed' "));
				@$ss = mysqli_query($con ,"UPDATE dgpemema SET paso = 1, sub_ven = '".$dt_pememdG['subtotal']."', iva_ven = '".$dt_pememdG['iva']."', tot_ven = '".$dt_pememdG['total']."' WHERE fol_ven = '$noPed'");
				
				//Se Actualiza Inventario Global
				$sql=mysqli_query($con ,"UPDATE dginvent SET exi_fis = $exiFisGlo, exi_dis = $exiDisGlo WHERE nparte1 = '$producto'");
				//Se Actualiza inventario almacen
				$sql=mysqli_query($con ,"UPDATE dginvalm SET exi_fis_alm = '$exiFisAlm', can_dis_alm = '$exiDisAlm' WHERE nparte1='$producto' and almacen = '".$_SESSION['al']."'");
	
				//-----------------------------------------><-----------------------------------------//
				//-----------------------------------------><-----------------------------------------//
				//modificar campo de venta en dginvacu
				//-----------------------------------------><-----------------------------------------//
				//-----------------------------------------><-----------------------------------------//
				@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '$producto' order by axo desc, mes desc");
				$num_salidas=mysqli_num_rows($result); 
				//si no estaba ese articulo en el acumulado entonces
				if($num_salidas==0)
				{
					//generar un nuevo registro de venta existencia inicial, final y la compra
					echo 'Este articulo no se encuentra en el acumulado favor de Agregarlo';
				}else{
					$dato = mysqli_fetch_array ($result);
					//sacar el ultimo año y mes
					$uaxo = $dato['axo'];
					$umes = $dato['mes'];
					$exfi = $dato['exi_fin'];
					$exin = $dato['exi_ini'];
					$np  = $dato['nparte1'];
					//si el año es anterior al actual aqui
					if (date("Y") > $uaxo){
						//sacar la cantidad de meses por año de diferencia
						$difaxo = date("Y") - $uaxo;
						$diff=($difaxo-1)*12+date("m")+$umes-1;
						//si es solo un año de diferncia
						/*if($difaxo == 1)
						{
							$diff = 12 - $umes;
						}else{
							$diff = 12 - $umes;
							for($j=1;$j<=$difaxo-1;$j++)
							{
								$diff = $diff + 12;
							}
						}*/	
					//diferencia va ha ser igual a la diferencia de años anteriores + los meses actuales -1
						$diff = $diff + (date("m"));
					}else{
						//en todo caso verificar la diferencia de meses 
						$diff = date("m") - $umes;
					}
					//mandar datos a acumulados
					//si es del mismo mes
					if($diff==0){
						$a = date('Y');
						$m = date('m');
						//buscar datoa anteriores y sumarles los nuevos y reguardar los datos
					 	//@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$producto' && axo = '$a' && mes = '$m'");
						//while($dato = mysqli_fetch_array($result))
						//{
							//sacar datos
							//if ($unpa <> ""){
							$unpa = $dato['exi_ini'];
							//}
							$ucom = $dato['compras'];
							$udec = $dato['dev_com'];
							$uten = $dato['tra_ent'];
							$utsa = $dato['tra_sal'];
							$uven = $dato['ventas'];
							$udve = $dato['dev_ven'];
							$ureq = $dato['requi'];
							$uder = $dato['dev_requi'];
						//}
						$uven = $uven + $cantidad;
						$ef = $unpa + $ucom - $udec + $uten - $utsa - $uven + $udve - $ureq + $uder;
						
						//mandar la ctualizacion
						$sql="UPDATE dginvacu set ventas = $uven , exi_fin = $ef WHERE nparte1 like '$producto' && axo = '$a' && mes = '$m'";
						if (!mysqli_query($con ,$sql)){
							die('Error 9: ' . mysqli_error($con));
						}
					}else{
						//elaborar registros por mes atrasado
						$t = $diff + 1;
						for($y=1;$y<=$diff;$y++)
						{
							$t = $t - 1;
							//conocer la fecha del ultimo mes registrado
							$fecha = date("m/d/Y",mktime(0,0,0,date("m")-$t,date("d"),date("Y")));
							$a = substr($fecha,6);
							//echo $fecha .'<br>';
							$m = substr($fecha,0,2);
							//echo $m;
							//buscar ese registro para sacar 
							
							@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$producto' && axo = '$a' && mes = '$m'");
							while($dato = mysqli_fetch_array ($result))
							{
								$ef = $dato['exi_fin'];
								//echo "Producto: " . $np2[$i] . '<br>';
								//echo "Existencia final: " . $ef . '<br>';
							}
							//exit();
							$ei = $ef;
							//crear una nueva fecha
							//echo 't:'.$t.'<br>';
							$x = $t - 1;
							//echo 'x:'.$x.'<br>';
							//echo 'meees:'.date("m").'<br>';
							$fecha1 = date("m/d/Y",mktime(0,0,0,date("m")-$x,date("d"),date("Y")));
							//echo 'fecha:'.$fecha1.'<br>';
							$a1 = substr($fecha1,6);
							$m1 = substr($fecha1,0,2);
							//echo 'mes:'.$m1.'<br>';
							//si es el ultimo mes entonces sumarle la nueva cantidad
							if ($a1 == date("Y") && $m1==date("m"))
							{
								$ef = $ca2 + $ei;
								$sql="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin,ventas) VALUES('$producto' ,'$a1', '$m1', '$ei', '$ef', '$cantidad')";	
								if (!mysqli_query($con ,$sql))
								{
									die('Error 10: ' . mysqli_error($con));
								}
							}else{
								$uven = $cantidad;
								$ef = $ei - $uven;
							mysqli_query($con ,"INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin, ventas) VALUES('$producto' ,'$a1', '$m1', '$ei', '$ef', '$uven')");	
							}
						}
					}
				}
				 
	///------------------------------------------------------------------------------------------->
	//Inicio de Modificar cardex
	//------------------------------------------------->
				@$result = mysqli_query($con ,"SELECT * FROM dgpememd WHERE cons_ven = '$noPed'");
				while($dato = mysqli_fetch_array ($result))
				{ 
					$al2x=$dato['almacen'];
					$np2x=$dato['nparte1'];
					$ca2x=$dato['can_ref'];
					//$ndox=$dato['num_doc'];
					$tcdx=$dato['total_cd'];
				}
				$num_elemento=count($al2x);
				//echo 'Clava1:'.$num_elemento.'<br>';
				//recorrer el numero de elementos en detalle
				for($i=0;$i<=$num_elemento-1;$i++)
				{
					//---------------------->
					//afectar cardex
					//---------------------->
					//sacar el costo promedio del movimiento
					@$result = mysqli_query($con ,"SELECT * FROM dginvent WHERE dginvent.modulo='".$_SESSION['mod_sis']."' AND   nparte1 like '$producto'");
					while($dato = mysqli_fetch_array ($result)){ 
						$cp2=$dato["cos_prom"];
						$pro2=$dato["cod_pro"];
					}
					//echo 'valida'.$cp2 ;
					//exit();
					//sacar la existencia inicial y la final de este producto
					$a = date('Y');
					$m = date('m');
					@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 = '$producto' and axo = '$a' and  mes = '$m'");
					while($dato = mysqli_fetch_array ($result)){ 
						$eini=$dato["exi_ini"];
						$efin=$dato["exi_fin"];
					}
					//agregar a cardex los datos
					$ti_ve = 'VE-'. $_SESSION['al'];
					if(!$esCargado)
					$sql="INSERT INTO dgcardex (nparte1, fec_mov, tip_mov, fol_recep, num_fol,almacen, mov_sal, cos_pro_mov, pre_comven, ex_in, ex_fi, codigo) VALUES('$producto', CURDATE(), '$ti_ve', '$noPed', '$noPed','".$_SESSION['al']."','$canPed','".$dt_invent['cos_prom']."', '$tcdx', '$exfi', '$efin','".$_POST['ver33']."')";
					else
						$sql="UPDATE dgcardex SET mov_sal='$canPed' where fol_recep='$noPed',ex_fi=ex_fi-'$cantidad' and nparte1='$producto' and almacen='".$_SESSION['al']."'";
					
					if(!mysqli_query($con ,$sql))
					{
						die('Error en cardex: ' . mysqli_error($con));
					}
				}
			}
		}
	}
	
	echo '1';
}

elseif(isset($_POST['tablaProdVen'])){

	echo '<table align="center" width="800" border="0">';
	//mostrar datos encontrados en dgrefodd
	@$res=mysqli_query($con ,"select dgpememd.*,dginvent.np_desc1 as descripcion from dgpememd inner join dginvent on(dginvent.nparte1=dgpememd.nparte1) where  dgpememd.cons_ven = '".$_POST['tablaProdVen']."' order by  dgpememd.fol_ven1");
	while($row = mysqli_fetch_array($res))
	{
		echo '<tr class="Estilo9">';
		echo '<td width="47"><div align="center">';
		?>
		<input name="beliminar" id="beliminar<?php
 echo $row['fol_ven1'];?>" value="<?php
 echo $row['fol_ven1']; ?>" type="image" src="logos/cerrar.gif" onClick="eliminarProd(this.value); return false;"/>
		<?php

		echo '</div>';
		echo '<td width="60"><div align="center">' . $row['can_ref'] . '</div></td>';
		echo '<td width="320"><div align="center">' .$row['nparte1'].' '.$row['descripcion'] . '</div></td>';
		$pbas=$row['pre_uni'];
		$pbase =  $pbase + $pbas;
		$c = $c + $row['can_ref'];
		$d = $d + $row['des'];
		$pre_u = $pbas - $row['des'];
		echo '<td  width="102"><div align="center">$ ' . number_format($pre_u, 4, '.', ',') . '</div></td>';
		$p = $p + $pre_u;
		//sacra el iva
		$sbt = $pre_u * $row['can_ref'];
		
		$s = $s + $sbt;
		$ivpp = $row['iva_pre'] ;
		$iv = $iv + $ivpp;
		$t = $row['total_cd'];
		echo '<td><div align="center">$ ' . number_format($row['total_cd'], 2, '.', ',') . '</div></td>';
		$tot = $tot + $t;
		echo '<td width="64">&nbsp;<td>';
		echo '</tr>'; 
	}
	echo '</table>';
}
elseif(isset($_POST['eliminaProd'])){
	$dats=explode('|',$_POST['eliminaProd']);
	
	$g1 = $dats[1];
	$g2 = $dats[0];
	
	//sacar datos del dgmememd
	//
	@$result = mysqli_query($con ,"SELECT * FROM dgpememd WHERE fol_ven1 = '$g1'");
	$dt_pememd=mysqli_fetch_array($result);
	$noPedido=$dt_pememd['cons_ven'];
	$g2 =$dt_pememd['nparte1'];
	$datos[2]=$dt_pememd['cons_ven'];
	$datos[4]=$dt_pememd['can_ref'];
	$datos[8]=$dt_pememd['total_cd'];
	$datos[11]=$dt_pememd['iva_pre'];
	$datos[18]=$dt_pememd['subtotal'];
	//buscar la existencia de dginvent
	@$result = mysqli_query($con ,"SELECT * FROM dginvent WHERE dginvent.modulo='".$_SESSION['mod_sis']."' AND   nparte1 ='$g2'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		$ex1=$dato['exi_fis'];
		$ex2=$dato['exi_dis'];

	}
	$ex1 = $ex1 + $datos[4];
	$ex2 = $ex2 + $datos[4];
	//hacer la modificacion en dginvent
	$sql="UPDATE dginvent SET exi_fis = '$ex1', exi_dis = '$ex1' WHERE nparte1='$g2'";
	if (!mysqli_query($con ,$sql))
	{
		die('Error1: ' . mysqli_error($con));
		exit();
	 }
	//--------------------------------------------------->
	//buscar la existencia de dginvalm
	@$result = mysqli_query($con ,"SELECT * FROM dginvalm WHERE nparte1 like '$g2'");
	while(@$dato = mysqli_fetch_array ($result))
	{ 
		$ex1=$dato[3];
		$ex2=$dato[4];

	}
	$ex1 = $ex1 + $datos[4];
	$ex2 = $ex2 + $datos[4];
	//hacer la modificacion en dginvalm
	$sql="UPDATE dginvalm SET exi_fis_alm = $ex1, can_dis_alm = $ex1 WHERE nparte1 = '$g2' && almacen = '".$_SESSION['al']."'";
	if (!mysqli_query($con ,$sql))
	{
		die('Error2: ' . mysqli_error($con));
		exit();
	 }
	//---------------------------------------------------->
	//Eliminar del cardex
	$sql="DELETE FROM dgcardex WHERE nparte1 ='$g2' AND fol_recep = '$datos[2]' AND almacen='".$_SESSION['al']."' and tip_mov='VE-$datos[2]'";
	if (!mysqli_query($con ,$sql)){
	  	die('Error3: ' . mysqli_error($con));
	 } 
	 
	 @$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$g2' order by axo asc, mes asc");
	@$num_salidas=mysqli_num_rows($result); 
	//si no estaba ese articulo en el acumulado entonces
	if($num_salidas==0)
	{
		//generar un nuevo registro de compra existencia inicial, final y la compra
		echo 'Este articulo no se encuentra en el acumulado favor de Agregarlo';
	}else{
		while($dato = mysqli_fetch_array ($result))
		{
			//sacar el ultimo año y mes
			$uaxo = $dato['axo'];
			$umes = $dato['mes'];
			$exfi = $dato['exi_fin'];
			$np  = $dato['nparte1'];
		}
		//si el año es anterior al actual aqui
		if (date("Y") > $uaxo)
		{
			//sacar la cantidad de meses por año de diferencia
			$difaxo = date("Y") - $uaxo;
			//si es solo un año de diferncia
			if($difaxo == 1)
			{
				$dif[$i] = 12 - $umes;
			}else{
				$dif[$i] = 12 - $umes;
				for($j=1;$j<=$difaxo-1;$j++)
				{
					$dif[$i] = $dif[$i] + 12;
				}
			}	
		//diferencia va ha ser igual a la diferencia de años anteriores + los meses actuales -1
			$dif[$i] = $dif[$i] + (date("m"));
		}else{
			//en todo caso verificar la diferencia de meses 
			$dif[$i] = date("m") - $umes;
		}
		//mandar datos a acumulados
		//si es del mismo mes
		if($dif[$i]==0){
			$a = date('Y');
			$m = date('m');
			//buscar datoa anteriores y sumarles los nuevos y reguardar los datos
			@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$g2' && axo = '$a' && mes = '$m'");
			while($dato = mysqli_fetch_array ($result))
			{
				//sacar datos
				$unpa = $dato['exi_ini'];
				$ucom = $dato['compras'];
				$udec = $dato['dev_com'];
				$uten = $dato['tra_ent'];
				$utsa = $dato['tra_sal'];
				$uven = $dato['ventas'];
				$udve = $dato['dev_ven'];
				$ureq = $dato['requi'];
				$uder = $dato['dev_requi'];
			}
			$uven = $uven - $datos[4];
			$ef = $unpa + $ucom - $udec + $uten - $utsa - $uven + $udve - $ureq + $uder;
			
			//mandar la ctualizacion
			$sql="UPDATE dginvacu set ventas = $uven , exi_fin = $ef WHERE nparte1 like '$g2' && axo ='$a' && mes = '$m'";
			if (!mysqli_query($con ,$sql)){
				die('Error 4: ' . mysqli_error($con));
			}
		}else{
			//elaborar registros por mes atrasado
			$t = $dif[$i] + 1;
			for($y=1;$y<=$dif[$i];$y++)
			{
				$t = $t - 1;
				//conocer la fecha del ultimo mes registrado
				$fecha = date("m/d/Y",mktime(0,0,0,date("m")-$t,date("d"),date("Y")));
				$a = substr($fecha,6);
				//echo $fecha .'<br>';
				$m = substr($fecha,0,2);
				//echo $m;
				//buscar ese registro para sacar 
				
				@$result = mysqli_query($con ,"SELECT * FROM dginvacu WHERE nparte1 like '$g2' && axo = '$a' && mes = '$m'");
				while($dato = mysqli_fetch_array ($result)){
					$ef = $dato['exi_fin'];
				}
				$ei = $ef;
				//crear una nueva fecha
				$x = $t - 1;
				$fecha1 = date("m/d/Y",mktime(0,0,0,date("m")-$x,date("d"),date("Y")));
				$a1 = substr($fecha1,6);
				$m1 = substr($fecha1,0,2);
				//si es el ultimo mes entonces sumarle la nueva cantidad
				if ($a1 == date("Y") && $m1==date("m"))
				{
					$ef = $ca2[$i] + $ei;
					$sql="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin,ventas) VALUES('$g2' ,'$a1', '$m1', '$ei', '$ef', '$datos[4]')";	
					if (!mysqli_query($con ,$sql))
					{
						die('Error 5: ' . mysqli_error($con));
					}
				}else{
					$sql="INSERT INTO dginvacu(nparte1,axo,mes,exi_ini,exi_fin) VALUES('$g2' ,'$a1', '$m1', '$ef', '$ef')";	
					if (!mysqli_query($con ,$sql))
					{
						die('Error 6: ' . mysqli_error($con));
					}		
				}
			}
		}
	}
	//----------------------------------------->
	//restar datos en dgpemema
	@$result = mysqli_query($con ,"SELECT * FROM dgpemema WHERE fol_ven = '$noPedido'");
	$dato = mysqli_fetch_array ($result);
	$su_to1=$dato['sub_ven'];
	$iv_to1=$dato['iva_ven'];
	$to_to1=$dato['tot_ven'];

	$su_to=$su_to1 - $datos[18];
	$iv_to=$iv_to1 - $datos[11];
	$to_to=$to_to1 - $datos[8];

	//agregar registro a la orden de actualizada
   $sql="UPDATE dgpemema SET paso = 1, sub_ven = $su_to, iva_ven = $iv_to, tot_ven = $to_to WHERE fol_ven = '$noPedido'";
	if (!mysqli_query($con ,$sql))
	{
		die('Error: ' . mysqli_error($con));
		exit();
	 }	 
	//Eliminar dgpemema
	$sql="DELETE FROM dgpememd WHERE nparte1 = '$g2' and fol_ven1 = '$g1'";
	if (!mysqli_query($con ,$sql)){
	  	die('Error3: ' . mysqli_error($con));
	 } 
}
elseif(isset($_POST['getTablaPago'])){
	include("DG24000_AG4.php");
}
elseif(isset($_POST["agregaCobroH"])){
	$dats=explode("|",$_POST["agregaCobroH"]);
	
	@$dtparame=mysqli_fetch_array(mysqli_query($con ,"select * from dgparame"));
	@$sql=mysqli_query($con ,"INSERT INTO dgger_cajerosj(vendedor, tip_caj, fec_rec, tip_mov, num_cli, concepto, importe,  pedido, acc_fec, acc_hor, usuario, tip_afe) values ('$dats[1]','".$_SESSION['tipven']."', '".date("Y-m-d")."', '1', '".$dtparame['cod_pubgral']."', 'PAGO PUNTO VENTA', '$dats[2]', '$dats[0]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."', 'I')");
	$nrc = mysqli_insert_id($con);
	if($sql)
		echo $nrc;
	else
		echo '0';
}
elseif(isset($_POST["agregaCobroD"])){
//si agregar pago
	//revisar si hay datos para hacer la operacion
	if(!is_numeric($_POST['tcan'])){
		echo '<div align="center" class="thcon">&iexcl;&iexcl;&iexcl;Corriga la cantidad!!!</div>';
		$errx = 1;
	}else{//SI CASO CONTRARIO ES POR QUE SI ES CANTIDAD
		$tpp = explode("|",$_REQUEST['oselect']);
		$a = 1;
		$dif1 = 0;
		$tp = 0;
		//echo 'tpp:'.$_REQUEST['select'].'<br>';
		if($tpp[2] == "A"){//PAGO DE ANTICIPO HABILITADO
			//buscar el numero del recibo y sacar el saldo por aplicar
			//echo 'val'.$_REQUEST['tref'].'<br>';
			$ss = mysqli_query($con ,"select * from dgger_cajerosj where n_rec = '".$_REQUEST['tref']."'");
			$rr=mysqli_fetch_array($ss);
			//echo 'val2'.$rr['tip_mov'].'<br>';
			$otr = mysqli_query($con ,"select * from dgtippag where tip_pag = '".$rr['tip_mov']."'");
			$rde=mysqli_fetch_array($otr);
			//echo 'tipo'.$rde['tip_aplica'].'<br>'; 
			//if($rde['tip_aplica']=="A"){//si 
				$nrr = mysqli_num_rows($ss);
				//echo $nrr.'<br>';
				if($nrr == 1){//si encuentro el registro
					$sxa = $rr['importe'] - $rr['sal_apl'];
					//echo 'tpp:'.$sxa.'<br>';
					if($_REQUEST['tcan'] > $sxa){//si la cantidad es superior a la posible
						$dif1 = $rr['imp_pag'];
						echo '<div align="center" class="thcon">&iexcl;&iexcl;&iexcl;El anticipo no tiene saldo suficiente!!!</div>';
						$a = 2;
					}else{//en caso contrario
						$dif1 = $rr['sal_apl'] + $_REQUEST['tcan'];
						@$frg=mysqli_query($con ,"update dgger_cajerosj set sal_apl = $dif1 where n_rec = '".$_REQUEST['tref']."'");
						$tp = $_REQUEST['tref'];
						//--------------------------------------------------------------->
						//agrego pago en dvcobdoc en cobrod e documentos en signos negativos
						//-------------------------------------------------------->
						$sql=mysqli_query($con ,"select * from dgger_cajerosj where n_rec = '".$_REQUEST['tref']."'");
						$rrr = mysqli_fetch_array($sql);
						$tm1 = "A";
						$tip_cob = $rrr['tip_caj'];
						$fec_cob =  $rrr['fec_rec'];
						$fol_cob = $_REQUEST['tger_cajerosj'];//pendiente
						$codigo = $rrr['num_cli'];
						$tip_mto = $rrr['tip_mov'];
						//$fec = $rg['fec_rec'];
						//include('DF20000.php');
						$fec_mov = date('Y-m-d');
						$imp_cob = ($dif1*-1);
						$cve_mto = $rrr['tip_mov'];
						//$iva_cob = $_REQUEST['t7'];
						$tot_cob = ($dif1*-1);
						//$gen_pol = $_REQUEST['t9'];
						$afe_con = $rrr['tip_afe'];
						$sq_cobdoc=mysqli_query($con ,"select * from dvcobdoc where fol_cob = '".$_REQUEST['tref']."'");
						$dt_cobdoc = mysqli_fetch_array($sq_cobdoc);
						//echo $dt_cobdoc['num_doc'];
						$num_doc = $dt_cobdoc['num_doc'];
						//-------------------------------------------------------->
						//actualizacion
						//-->
						$tm = "M";//tipo de movimiento AGRAGAR (A) MODIFICAR (M) ELIMINAR (E)
						$num_reg = 0;
						//$pag_reg1 = "DV34000_PR.php";//A DONDE VA SI ES TODO OK
						//$pag_reg2 = "DV35000_PR.php";//A DONDE VA SI ES ERROR
						//$regresar = 1; 
						$tip_per = 'C';
						include('DV35000_CL.php'); 	
						//<--
						//fin
						//---------------------------------------------------------|
					}
					//echo 'tpp:'.$sxa.'<br>';
				}else{
					echo '<div align="center" class="thcon">&iexcl;&iexcl;&iexcl;No esiste ese recibo de caja!!!</div>';
					$a = 2;
				}
			//}else{
				//echo '<div align="center" class="thcon">&iexcl;&iexcl;&iexcl;El recibo NO es de anticipo!!!</div>';
				//$a = 2;
			//}
		}elseif($tpp[2] == "N"){//PAGO DE NOTA DE CREDITO
			//echo 'hola1<br>';
			$ss = mysqli_query($con ,"select * from dgrefdve where num_dev = '".$_REQUEST['tref']."'");
			$rr=mysqli_fetch_array($ss);
			$nnh = mysqli_num_rows($ss);
			if ($nnh == 1){
				$sxa = $rr['total_dev'] - $rr['sal_apl'];
				if($_REQUEST['tcan'] > $sxa){//si la cantidad es superior a la posible
					//$dif1 = $rr['total_dev'];
					//echo 'total: '.$rr['total_dev'].'<br>';
					//echo 'sal_apl:  '.$rr['sal_apl'].'<br>';
					echo '<div align="center" class="thcon">&iexcl;&iexcl;&iexcl;No hay saldo suficiente!!!</div>';
					$a = 2;
				}else{//en caso contrario
					//aplico saldo aplicado a la nota de credito
					$dif1 = $rr['sal_apl'] + $_REQUEST['tcan'];
					@$frg=mysqli_query($con ,"update dgrefdve set sal_apl = $dif1 where fol_recep = '".$_REQUEST['tref']."'");
					$tp = $_REQUEST['tref'];
					//se crea el documento x cobrar
				}
			}else{
				echo '<div align="center" class="thcon">&iexcl;&iexcl;&iexcl;No existe la Nota de Credito!!!</div>';
				$a = 2;
			}
		}
		//echo $a.'<br>';
		if($a == 1){
		echo 'entra '.$tpp[0].'  '.$tpp[1].'   '.$tpp[2].'\n';
			//saco el importe a pagar		
			$sql=mysqli_query($con ,"SELECT * FROM dgger_cajerosj where n_rec = '".$_REQUEST['tger_cajerosj']."'");
			$bus = mysqli_fetch_array($sql);
			$imp = $bus['importe'];//importe por pagar
	
			//calcular la cantidad pagada
			$sql=mysqli_query($con ,"SELECT * FROM dgger_cajerosd where n_rec = '".$_REQUEST['tger_cajerosj']."'");
			$sc = 0;
			while($buse = mysqli_fetch_array($sql)){
				$sc += $buse['importe'];
			}
			//echo $sc.'<br>';
			//echo $imp.'<br>';
			//si el importe es mayor al ya pagado 
			if($imp > $sc){
				$cdif = $imp - $sc;
				//echo $cdif.'<br>';
				$dif = $cdif - $_REQUEST['tcan'];
				//echo $dif.'<br>';
				 if ($dif < 0){
					$sa = $cdif;
					$cam = $_REQUEST['tcan']-$cdif;
				}else{
					$sa = $_REQUEST['tcan'];
					$cam = 0;
				}
				//echo $sa.'<br>';
				//echo $cam.'<br>';
				//agrego datos a detalle
				@$sql=mysqli_query($con ,"INSERT INTO dgger_cajerosd (n_rec, tip_pag, importe, ref, aut, acc_fec, acc_hor, usuario, tdp) values ('".$_REQUEST['tger_cajerosj']."', '$tpp[0]','$sa','".$_REQUEST['tref']."', '".$_REQUEST['taut']."', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."', '$tp')");
				$ultimo_id = mysqli_insert_id($con);
				//calcular la cantidad pagada
				$sql=mysqli_query($con ,"SELECT * FROM dgger_cajerosd where n_rec = '".$_REQUEST['tger_cajerosj']."'");
				$sc = 0;
				while($buse = mysqli_fetch_array($sql)){
					$sc += $buse['importe'];
				}
			//echo $dif1.'<br>';
		    @$frg=mysqli_query($con ,"update dgger_cajerosj set imp_pag='$sc', cambio='$cam' where n_rec = '".$_REQUEST['tger_cajerosj']."'");
			}else{
				echo '<div align="center" class="thcon">&iexcl;&iexcl;&iexcl;Recibo Pagado totalmente!!!</div>';
			}
		}
	}

}
elseif(isset($_POST['cancelaPedido'])){
	$noPed=$_POST['cancelaPedido'];
	$rs=mysqli_query($con ,"UPDATE dgpemema set cancelado='1' where fol_ven='$noPed'");
	$rs=mysqli_query($con ,"UPDATE dgger_cajerosj set cancelado='1' where pedido='$noPed'");
}
elseif(isset($_POST['eliminaCobroD'])){
	$sql=mysqli_query($con ,"SELECT * FROM dgger_cajerosd where num_pag = '".$_REQUEST['bot']."'");
	$bus = mysqli_fetch_array($sql);
	//echo $bus['tdp'].'<br>';
	if($bus['tdp'] <> 0){
		//saco el saldo aplicado
		$sqld=mysqli_query($con ,"SELECT * FROM dgger_cajerosj where n_rec = '".$bus['tdp']."'");
		$busd = mysqli_fetch_array($sqld);
		//le resto la cantidad 
		//echo $busd['sal_apl'].'<br>';
		//echo $bus['tdp'].'<br>';
		$ncat = $busd['sal_apl']-$bus['importe'];
		//echo $ncat.'<br>';
		//guardo la nueva cantidad
		$sqlw=mysqli_query($con ,"update dgger_cajerosj set sal_apl = '$ncat' where n_rec = '".$bus['tdp']."'");
	}

	$sq_tippag=mysqli_query($con ,"SELECT * FROM dgtippag where tip_pag = '".$bus['tip_pag']."'");
	$dt_tippag = mysqli_fetch_array($sq_tippag);

	//echo 'valor'.$dt_tippag['tip_aplica'];
	//si tipo de pago de anticipos
	if($dt_tippag['tip_aplica']=="A"){
		//echo 'entro:'.$bus['tdp'].'<br>';
		//eliminar registros de documentos x cobrar
		//--------------------------------------------------------------->
		//agrego pago en dvcobdoc en cobrod e documentos en signos negativos
		//-------------------------------------------------------->
		$sql=mysqli_query($con ,"select * from dgger_cajerosj where n_rec = '".$bus['tdp']."'");
		$rrr = mysqli_fetch_array($sql);
		$tm1 = "E";
		
		$tip_cob = $rrr['tip_caj'];
		$fec_cob =  $rrr['fec_rec'];
		$fol_cob = $bus['tdp'];//pendiente
		$codigo = $rrr['num_cli'];
		$tip_mto = $rrr['tip_mov'];
		//$fec = $rg['fec_rec'];
		//include('DF20000.php');
		$fec_mov = date('Y-m-d');
		$imp_cob = ($dif1*-1);
		$cve_mto = $rrr['tip_mov'];
		//$iva_cob = $_REQUEST['t7'];
		$tot_cob = ($dif1*-1);
		//$gen_pol = $_REQUEST['t9'];
		$afe_con = $rrr['tip_afe'];
		$sq_cobdoc=mysqli_query($con ,"select * from dvcobdoc where fol_cob = '".$bus['n_rec']."'");
		$dt_cobdoc = mysqli_fetch_array($sq_cobdoc);
		
		$fol_cob = $bus['n_rec'];
		$num_doc = $dt_cobdoc['num_doc'];
		//-------------------------------------------------------->
		//actualizacion
		$tm = "M";//tipo de movimiento AGRAGAR (A) MODIFICAR (M) ELIMINAR (E)
		$num_reg = 0;
		//$pag_reg1 = "DV34000_PR.php";//A DONDE VA SI ES TODO OK
		//$pag_reg2 = "DV35000_PR.php";//A DONDE VA SI ES ERROR
		//$regresar = 1; 
		$tip_per = 'C';
		include('DV35000_CL.php'); 	
		//fin
		//---------------------------------------------------------|
	}
	@$sql=mysqli_query($con ,"delete from dgger_cajerosd where num_pag = '".$_REQUEST['bot']."'");		
	//saco el importe a pagar		
	$sql=mysqli_query($con ,"SELECT * FROM dgger_cajerosj where n_rec = '".$_REQUEST['tger_cajerosj']."'");
	$bus = mysqli_fetch_array($sql);
	$imp = $bus['importe'];//importe por pagar
	//calcular la cantidad pagada
	$sql=mysqli_query($con ,"SELECT * FROM dgger_cajerosd where n_rec = '".$_REQUEST['tger_cajerosj']."'");
	$sc = 0;
	while($buse = mysqli_fetch_array($sql)){
		$sc += $buse['importe'];
	}
	//-->fin del saldo aplicado
	//echo $dif1.'<br>';
	@$frg=mysqli_query($con ,"update dgger_cajerosj set imp_pag='$sc', cambio='$cam' where n_rec = '".$_REQUEST['tger_cajerosj']."'"); 
}
?>